[lfs-dev] gcc-9.2.0

Xi Ruoyao xry111 at mengyan1223.wang
Fri Aug 16 08:19:53 PDT 2019


On 2019-08-16 16:25 +0200, Riccardo Corsi via lfs-dev wrote:
> Hello, I have a question about GCC 9.2.0
> Is there a new option for ISL ?
> I have in my configure (build of LFS 9.0-rc1) of GCC:
> > ../configure --prefix=/usr            \
> >              --enable-languages=c,c++ \
> >              --disable-multilib       \
> >              --disable-bootstrap      \
> >              --with-system-zlib
> ....
> checking for isl 0.15 or later... no
> required isl version is 0.15 or later
> *** This configuration is not supported in the following subdirectories:
>      zlib gnattools gotools target-libada target-libhsail-rt target-libphobos
> target-zlib target-libbacktrace target-libgfortran target-libgo target-libffi
> target-libobjc target-liboffloadmic
>     (Any other directories should still work fine.)
> ...
> 
> Have you seen this? I'l double check my /mnt/lfs instance...

That's normal because ISL is not a part of LFS, and it's not a hard dependency
of GCC.

You can continue to build GCC unless you want to use graphite optimization
(unlikely).
-- 
Xi Ruoyao <xry111 at mengyan1223.wang>
School of Aerospace Science and Technology, Xidian University



More information about the lfs-dev mailing list